# Generated from activemonitor-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name activemonitor

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: External monitoring and alerting for Rails applications
License: MIT
URL: https://github.com/bobbrez/activemonitor
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(simplecov) >= 0.9.1
# BuildRequires: rubygem(simplecov) < 0.10
# BuildRequires: rubygem(coveralls) >= 0.9.1
# BuildRequires: rubygem(coveralls) < 0.10
# BuildRequires: rubygem(pry) >= 0.10.0
# BuildRequires: rubygem(pry) < 0.11
# BuildRequires: rubygem(pry-byebug) >= 1.3.3
# BuildRequires: rubygem(pry-byebug) < 1.4
BuildArch: noarch

%description
Monitor application status and health in a sane way Rails-y.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coveralls.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.pryrc
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/activemonitor.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.1-1
- Initial package
